for some reason 4.2 won't run on my treo and I don't have the older version on my treo anymore